# Lumina options

#### Lumina options

#### Lumina dialog box options

This options tab allows for modification of Lumina credentials and use settings.

Use the public server

```
        Sets host and port to the default public server hosted by Hex-Rays.
        No username or password is required.
```

Use a private server

```
        Allows for setting the name/address and port of a private server.
        If username and password credentials are needed, they can be specified here.
```

Automatically use Lumina server for analysis

```
        Instructs IDA to fetch function metadata from the current Lumina server,
        after the initial auto-analysis is complete. This helps with the recognition
        of known functions stored in the database of the Lumina server.
```

#### Lumina command line options

Command line switch '-Olumina' overrides for ida session the primary server and '-Osecondary\_lumina' the secondary one.

#### List of options

```
         host: lumina server host
         port: lumina server port
         user: username for authentification on private lumina
         pass: password for authentification on private lumina
         proxy_host: proxy host
         proxy_port: proxy port
         proxy_user: username for authentification on proxy
         proxy_pass: password for authentification on proxy
```

#### Example

```
  -Osecondary_lumina:host=lumina.hex-rays.com:port=443
```

Use the public lumina as secondary server for this ida session


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.4/user-guide/user-interface/menu-bar/view/lumina-options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
